'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var tape = _interopDefault(require('tape'));

/**
 * @param {string} name
 * @param {tape.TestCase} unit
 */
const test = (name, unit) =>
  tape(name, async (assert) => {
    try {
      await unit(assert);
      assert.end();
    } catch (error) {
      assert.fail(error);
    }
  });

exports.test = test;
//# sourceMappingURL=test.cjs.map
